# pspmoduleinfo.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | _scemoduleinfo

## Defines

#define | PSP_MODULE_INFO(name, attributes, major_version, minor_version)
#define | PSP_MAIN_THREAD_PRIORITY(priority) unsigned int sce_newlib_priority = (priority)
#define | PSP_MAIN_THREAD_STACK_SIZE_KB(size_kb) unsigned int sce_newlib_stack_kb_size = (size_kb)
#define | PSP_MAIN_THREAD_ATTR(attr) unsigned int sce_newlib_attribute = (attr)
#define | PSP_MAIN_THREAD_ATTRIBUTE PSP_MAIN_THREAD_ATTR
#define | PSP_MAIN_THREAD_PARAMS(priority, size_kb, attribute)
#define | PSP_NO_CREATE_MAIN_THREAD() int sce_newlib_nocreate_thread_in_start = 1
#define | PSP_HEAP_SIZE_KB(size_kb) unsigned int sce_newlib_heap_kb_size = (size_kb)

## Typedefs

typedef _scemoduleinfo | _sceModuleInfo
typedef const _sceModuleInfo | SceModuleInfo

## Variables

char | _gp []

## Define Documentation

#define PSP_HEAP_SIZE_KB | ( | size_kb |  | ) | unsigned int sce_newlib_heap_kb_size = (size_kb)

#define PSP_MAIN_THREAD_ATTR | ( | attr |  | ) | unsigned int sce_newlib_attribute = (attr)

#define PSP_MAIN_THREAD_ATTRIBUTE PSP_MAIN_THREAD_ATTR

#define PSP_MAIN_THREAD_PARAMS | ( | priority,
|  | size_kb,
|  | attribute |  | ) |

Value:

    PSP_MAIN_THREAD_PRIORITY(priority); \
            PSP_MAIN_THREAD_STACK_SIZE_KB(size_kb); \
            PSP_MAIN_THREAD_ATTR(attribute)

#define PSP_MAIN_THREAD_PRIORITY | ( | priority |  | ) | unsigned int sce_newlib_priority = (priority)

#define PSP_MAIN_THREAD_STACK_SIZE_KB | ( | size_kb |  | ) | unsigned int sce_newlib_stack_kb_size = (size_kb)

#define PSP_MODULE_INFO | ( | name,
|  | attributes,
|  | major_version,
|  | minor_version |  | ) |

Value:

    __asm__ (                                                       \
            "    .set push\n"                                               \
            "    .section .lib.ent.top, \"a\", @progbits\n"                 \
            "    .align 2\n"                                                \
            "    .word 0\n"                                                 \
            "__lib_ent_top:\n"                                              \
            "    .section .lib.ent.btm, \"a\", @progbits\n"                 \
            "    .align 2\n"                                                \
            "__lib_ent_bottom:\n"                                           \
            "    .word 0\n"                                                 \
            "    .section .lib.stub.top, \"a\", @progbits\n"                \
            "    .align 2\n"                                                \
            "    .word 0\n"                                                 \
            "__lib_stub_top:\n"                                             \
            "    .section .lib.stub.btm, \"a\", @progbits\n"                \
            "    .align 2\n"                                                \
            "__lib_stub_bottom:\n"                                          \
            "    .word 0\n"                                                 \
            "    .set pop\n"                                                \
            );                                                              \
            extern char __lib_ent_top[], __lib_ent_bottom[];                \
            extern char __lib_stub_top[], __lib_stub_bottom[];              \
            SceModuleInfo module_info                                       \
                    __attribute__((section(".rodata.sceModuleInfo"),        \
                                   aligned(16), unused)) = {                \
              attributes, { minor_version, major_version }, name, 0, _gp,  \
              __lib_ent_top, __lib_ent_bottom,                              \
              __lib_stub_top, __lib_stub_bottom                             \
            }

#define PSP_NO_CREATE_MAIN_THREAD | (

)

int sce_newlib_nocreate_thread_in_start = 1

## Typedef Documentation

typedef struct _scemoduleinfo _sceModuleInfo

typedef const _sceModuleInfo SceModuleInfo

## Variable Documentation

char _gp[]